# e.g: FinalStageMaker.py linux.spec Mozilla=/home/amil082/mozilla_trunk/obj-i686-pc-linux-gnu/stablexr/dist/bin PCEnv=/people/amil082/code/pcenv GSL=/home/amil082/gsl-1.8/ XML=/home/amil082/libxml2-2.6.21 GCC=/home/amil082/gcc-4.1.1/i686-pc-linux-gnu/ SHIPGCC=/home/amil082/gccprefix version=`date +%Y%m%d`-functests
Copy:
  From Mozilla:
    xulrunner
    run-mozilla.sh
    xulrunner-bin
    To lib:
      libfreebl3.so
      libmozjs.so
      libnspr4.so
      libnss3.so
      libnssckbi.so
      libplc4.so
      libplds4.so
      libsmime3.so
      libsoftokn3.so
      libssl3.so
      libxpcom.so
      libxul.so
  From Mozilla/components:
    To components:
      jsconsole-clhandler.js
      nsDefaultCLH.js
      nsFilePicker.js
      nsHelperAppDlg.js
      nsInterfaceInfoToIDL.js
      nsProgressDialog.js
      nsProxyAutoConfig.js
      nsResetPref.js
      pluginGlue.js
      libimgicon.so
      libmozgnome.so
      libnkgnomevfs.so
  From Mozilla/chrome:
    To chrome:
      toolkit.jar
      toolkit.manifest
      classic.jar
      classic.manifest
      en-US.jar
      en-US.manifest
  From Mozilla/res:
    To res:
      ua.css
      quirk.css
      hiddenWindow.html
      forms.css
      html.css
      charsetData.properties
  From Mozilla/res/fonts:
    To res/fonts:
      mathfontMath1.properties
      mathfontMTExtra.properties
      mathfontSymbol.properties
      mathfontCMEX10.properties
      mathfontMath2.properties
      mathfont.properties
      mathfontCMSY10.properties
      mathfontMath4.properties
      mathfontPUA.properties
  From Mozilla/greprefs:
    To greprefs:
      all.js
      security-prefs.js
  From PCEnv/appSupport:
    application.ini
    pcenv
    To defaults/pref:
      prefs.js
    To chrome:
      installed-chrome.txt
  From PCEnv:
    COPYING
    To chrome:
      chrome.manifest
  From PCEnv/tutorial:
    To tutorial:
      coupled_pendulum_model.xml
  From PCEnv/pcenvStage/chrome:
    To chrome:
      pcenv.jar
  From PCEnv/pcenvStage/components:
    To components:
      libDataCollector.so
      libcellml_xpcom_bridge.so
      libccgs_xpcom_bridge.so
      libcis_xpcom_bridge.so
      libmalaes_xpcom_bridge.so
      libcuses_xpcom_bridge.so
      libcevas_xpcom_bridge.so
      libannotools_xpcom_bridge.so
      libcellml_context_xpcom_bridge.so
      pcenv.xpt
      PCEnvNotifications.js
      PCEnvContentAPI.js
  From PCEnv/pcenvStage/lib:
    To lib:
      libccgs.so.0
      libcellml_context.so.0
      libcellml.so.0
      libcis.so.0
      libmalaes.so.0
      libcuses.so.0
      libcevas.so.0
      libannotools.so.0
      libXPCOMSupport.so.0
  From PCEnv/pcenvStage/chrome/icons/default:
    To chrome/icons/default:
      default.xpm
  From GSL/.libs:
    To lib:
      libgsl.so.0
  From GSL/cblas/.libs:
    To lib:
      libgslcblas.so.0
  From XML/.libs:
    To lib:
      libxml2.so.2
  From GCC/libstdc++-v3/src/.libs:
    To lib:
      libstdc++.so.6
  From SHIPGCC/bin:
    To gcc/bin:
      as
      cpp
      gcc
      ld
      nm
  From SHIPGCC/lib:
    To gcc/lib:
      crt1.o
      crti.o
      crtn.o
      libgcc_s.so.1
  From SHIPGCC/lib/gcc/i386-linux/3.4.3:
    To gcc/lib/gcc/i386-linux/3.4.3:
      crtbegin.o
      crtbeginS.o
      crtbeginT.o
      crtend.o
      crtendS.o
      libgcc.a
      libgcc_eh.a
      specs
  From SHIPGCC/lib/gcc/i386-linux/3.4.3/include:
    To gcc/lib/gcc/i386-linux/3.4.3/include:
      emmintrin.h
      float.h
      iso646.h
      limits.h
      mmintrin.h
      obstack.h
      pmmintrin.h
      stdarg.h
      stddef.h
      syslimits.h
      unwind.h
      xmmintrin.h
  From SHIPGCC/libexec/gcc/i386-linux/3.4.3:
    To gcc/libexec/gcc/i386-linux/3.4.3:
      as
      cc1
      collect2
      ld
Execute strip `find $stagingDir -name *.so*`
Execute strip $stagingDir/gcc/bin/*
Execute strip $stagingDir/xulrunner-bin
Execute strip $stagingDir/gcc/libexec/gcc/i386-linux/3.4.3/*
Execute ln -s libcis.so.0 $stagingDir/lib/libcis.so
Execute mv $stagingDir $stagingDir/../pcenv-$version && tar -C $stagingDir/.. -cjf pcenv-x86_Linux-$version.tar.bz2 pcenv-$version && mv $stagingDir/../pcenv-$version $stagingDir
